Skip to main content
GET
Read Product

Authorizations

Authorization
string
header
required

Authentication: You can generate a Personal Access Token from your settings.

Path Parameters

id
string<uuid4>
required

Identifier of the product.

Response

Request completed successfully

Object representing product.

id
string<uuid4>
required

The stable identifier for this record.

created_at
string<date-time>
required

The time Ruba created this record.

modified_at
string<date-time> | null
required

The time this record last changed.

trial_interval
enum<string> | null
required

Unit used to measure the trial period.

Available options:
day,
week,
month,
year
trial_interval_count
integer | null
required

Length of the trial measured in the selected interval.

name
string
required

Customer-facing name assigned to the product.

description
string | null
required

Customer-facing description attached to the product.

visibility
enum<string>
required

Controls where customers can discover the product.

Available options:
draft,
private,
public
recurring_interval
enum<string> | null
required

Recurring Interval: Recurring interval of the product. If None, the product is a one-time purchase.

Available options:
day,
week,
month,
year
recurring_interval_count
integer | null
required

Count of interval units of the subscription. If this is set to 1 the charge will happen every interval (e.g. every month), if set to 2 it will be every other month, and so on. None for one-time products.

is_recurring
boolean
required

Indicates whether the product is a subscription.

is_archived
boolean
required

Indicates whether the product is archived and no longer available.

organization_id
string<uuid4>
required

Unique identifier for the organization owning the product.

metadata
object
required
prices
(LegacyRecurringProductPriceFixed · object | LegacyRecurringProductPriceCustom · object | ProductPriceFixed · object | ProductPriceCustom · object | ProductPriceSeatBased · object | ProductPriceMeteredUnit · object)[]
required

Collection of prices for this product.

A recurring price for a product, i.e. a subscription.

Deprecated: The recurring interval should be set on the product itself.

benefits
(BenefitCustom · object | BenefitDiscord · object | BenefitGitHubRepository · object | BenefitDownloadables · object | BenefitLicenseKeys · object | BenefitMeterCredit · object | BenefitFeatureFlag · object | BenefitSlackSharedChannel · object)[]
required

Collection of benefits granted by the product.

A benefit of type custom.

Use it to grant any kind of benefit that doesn't fit in the other types.

medias
ProductMediaFileRead · object[]
required

Collection of medias associated to the product.

attached_custom_fields
AttachedCustomField · object[]
required

Collection of custom fields attached to the product.